PipeWire: pw_pipewire Class Reference

PipeWire 0.2.2

Public Member Functions
pw_pipewire Class Reference

PipeWire initalization and infrasctructure functions. More...

## Public Member Functions
void | pw_init (int *argc, char **argv[])
| Initialize PipeWire. More...
bool | pw_debug_is_category_enabled (const char *name)
| Check if a debug category is enabled. More...
const char * | pw_get_application_name (void)
| Get the application name. More...
const char * | pw_get_prgname (void)
| Get the program name. More...
const char * | pw_get_user_name (void)
| Get the user name. More...
const char * | pw_get_host_name (void)
| Get the host name. More...
char * | pw_get_client_name (void)
| Get the client name. More...
void | pw_fill_remote_properties (struct pw_core *core, struct pw_properties *properties)
| Fill remote properties. More...
void | pw_fill_stream_properties (struct pw_core *core, struct pw_properties *properties)
| Fill stream properties. More...
enum pw_direction | pw_direction_reverse (enum pw_direction direction)
| Reverse the direction. More...

## Detailed Description

PipeWire initalization and infrasctructure functions.

## Member Function Documentation

## ◆ pw_debug_is_category_enabled()

bool pw_debug_is_category_enabled | ( | const char * | name | ) |

Check if a debug category is enabled.

Parameters

  name | the name of the category to check

Returns
  true if enabled

Debugging categories can be enabled by using the PIPEWIRE_DEBUG environment variable

## ◆ pw_direction_reverse()

enum pw_direction pw_direction_reverse | ( | enum pw_direction | direction | ) |

Reverse the direction.

References PW_DIRECTION_INPUT, and PW_DIRECTION_OUTPUT.

Referenced by pw_core::pw_core_find_port().

## ◆ pw_fill_remote_properties()

void pw_fill_remote_properties | ( | struct pw_core * | core,
|  | struct pw_properties * | properties
| ) |  |

Fill remote properties.

Parameters

  properties | a pw_properties

Fill properties with a set of default remote properties.

References PW_CORE_PROP_DAEMON, PW_CORE_PROP_NAME, PW_CORE_PROP_VERSION, pw_get_application_name(), pw_get_host_name(), pw_get_prgname(), pw_get_user_name(), pw_properties::pw_properties_get(), pw_properties::pw_properties_set(), and pw_properties::pw_properties_setf().

Referenced by pw_remote_new().

## ◆ pw_fill_stream_properties()

void pw_fill_stream_properties | ( | struct pw_core * | core,
|  | struct pw_properties * | properties
| ) |  |

Fill stream properties.

Parameters

  properties | a pw_properties

Fill properties with a set of default stream properties.

## ◆ pw_get_application_name()

const char * pw_get_application_name | ( | void |  | ) |

Get the application name.

Referenced by pw_fill_remote_properties(), and pw_get_client_name().

## ◆ pw_get_client_name()

char * pw_get_client_name | ( | void |  | ) |

Get the client name.

Make a new PipeWire client name that can be used to construct a remote.

References pw_get_application_name(), and pw_get_prgname().

## ◆ pw_get_host_name()

const char * pw_get_host_name | ( | void |  | ) |

Get the host name.

Referenced by pw_core::pw_core_new(), and pw_fill_remote_properties().

## ◆ pw_get_prgname()

const char * pw_get_prgname | ( | void |  | ) |

Get the program name.

Referenced by pw_fill_remote_properties(), and pw_get_client_name().

## ◆ pw_get_user_name()

const char * pw_get_user_name | ( | void |  | ) |

Get the user name.

Referenced by pw_core::pw_core_new(), and pw_fill_remote_properties().

## ◆ pw_init()

void pw_init | ( | int * | argc,
|  | char ** | argv[]
| ) |  |

Initialize PipeWire.

Parameters

  argc | pointer to argc
  argv | pointer to argv

Initialize the PipeWire system, parse and modify any parameters given by argc and argv and set up debugging.

The environment variable PIPEWIRE_DEBUG

The documentation for this class was generated from the following files:

- pipewire.h
- pipewire.c